- name: Add abraunegg/onedrive GPG key
  apt_key:
    url: "https://download.opensuse.org/repositories/home:/npreining:/debian-ubuntu-onedrive/Debian_11/Release.key"
    state: present

- name: Add abraunegg/onedrive repository
  apt_repository:
    repo: "deb [arch=arm64] https://download.opensuse.org/repositories/home:/npreining:/debian-ubuntu-onedrive/Debian_11/ ./"
    filename: 'onedrive'
    state: present

- name: Install abraunegg/onedrive
  apt:
    name: onedrive
    state: present
